/* NAVIGATION */
.navbar {
    display: grid;
    grid-template-columns: 1fr 3fr;
    align-items: center;
    height: 60px;
    padding: 40px 30px;
    padding-bottom: 60px !important;
    background-color: transparent !important;
}
.navbar img {
    margin-left: 30px;
}
.navbar ul {
    justify-self: end;
}
.nav {
    background: var(--white);
    padding: 18px min(3vw, 36px);
    border-radius: 300px;
    align-items: center;
    gap: min(2vw, 36px);
}
@media (max-width: 999px) {
    .navbar ul {
        align-items: flex-start;
    }
    .nav {
        border-radius: 0;
    }
}
.nav-item a {
    text-decoration: none;
    transition: color 0.2s ease-out;
    color: var(--black2);
}
.navbar.scrolled {
    background-color: var(--white);
}
.fixed-top {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1030;
}
@media (max-width: 600px) {
    .navbar {
        top: auto;
        left: 0;
        width: 100%;
        background-color: none !important;
        transition: background-color 250ms ease;
        padding-left: 10px;
        padding-right: 10px;
    }
}
@media (max-width: 600px) {
    .navbar-shrink {
        position: absolute;
        top: 0;
        right: 0;
        left: 0;
        z-index: 1030;
    }
}

.dropdown-item {
    display: block;
    width: 100%;
    padding: var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);
    clear: both;
    font-weight: 400;
    color: var(--bs-dropdown-link-color);
    text-align: inherit;
    text-decoration: none;
    white-space: nowrap;
    background-color: transparent !important;
    border: 0;
    border-radius: var(--bs-dropdown-item-border-radius, 0);
}
.dropdown-menu {
    top: calc(100% + 15px) !important;
    transition: 0.3s;
}
.dropdown-menu li {
    background: var(--white);
    border-radius: 50px;
    margin: 5px 0;
    transition: 0.3s;
}

/* MOBILE MENU & ANIMATION */
.menu-toggle .bar {
    width: 25px;
    height: 3px;
    background-color: var(--white);
    margin: 5px auto;
    -webkit-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

.menu-toggle {
    justify-self: end;
    margin-right: 25px;
    display: none;
}

.menu-toggle:hover {
    cursor: pointer;
}

#mobile-menu.is-active .bar:nth-child(2) {
    opacity: 0;
}

#mobile-menu.is-active .bar:nth-child(1) {
    -webkit-transform: translateY(8px) rotate(45deg);
    -ms-transform: translateY(8px) rotate(45deg);
    -o-transform: translateY(8px) rotate(45deg);
    transform: translateY(8px) rotate(45deg);
}

#mobile-menu.is-active .bar:nth-child(3) {
    -webkit-transform: translateY(-8px) rotate(-45deg);
    -ms-transform: translateY(-8px) rotate(-45deg);
    -o-transform: translateY(-8px) rotate(-45deg);
    transform: translateY(-8px) rotate(-45deg);
}

/* KEYFRAME ANIMATIONS */

@-webkit-keyframes gradbar {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

@-moz-keyframes gradbar {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

@keyframes gradbar {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

@media only screen and (max-width: 999px) {
    .navbar {
        overflow: hidden;
        padding: 20px 0px;
        background-color: transparent;
    }
    .navbar ul {
        display: flex;
        flex-direction: column;
        position: fixed;
        justify-content: start;
        top: 55px;
        background-color: var(--black2);
        width: 100%;
        height: calc(100vh - 55px);
        overflow: hidden;
        margin-top: 20px;
        transform: translate(-101%);
        transition: 0.2s;
    }
    .navbar li {
        padding: 10px;
    }
    .navbar li:first-child {
        margin-top: 50px;
    }
    .nav-item a {
        text-decoration: none;
        font-weight: normal;
        color: var(--white);
        font-size: 26px;
    }
    .menu-toggle,
    .bar {
        display: block;
        cursor: pointer;
    }
    .navbar .mobile-nav {
        transform: translate(0%);
    }
}

@media (min-width: 1000px) {
    header.bg-synchron-dark-green .nav::before,
    header.bg-transparent .navbar::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        display: block;
        background: transparent;
        height: 150px;
        z-index: -1;
        transition: 0.2s;
    }
    header.bg-synchron-dark-green .nav::before,
    header.bg-transparent .navbar.scrolled::before {
        background: var(--green-dark);
    }
}
@media (max-width: 999px) {
    header.bg-synchron-dark-green .navbar::before,
    header.bg-transparent .navbar::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        display: block;
        background: transparent;
        height: 150px;
        z-index: -1;
    }
    header.bg-synchron-dark-green .navbar::before,
    header.bg-transparent .navbar::before {
        background: var(--green-dark);
    }
}
